import { html } from "lit";
import cannot_access from "../../../images/cannot-access.js";
import indexing from "../../../images/indexing.js";
import no_connection from "../../../images/no-connection.js";
import search_inactive from "../../../images/search-inactive.js";
import something_wrong from "../../../images/something-wrong.js";
import "../atomic-icon/atomic-icon.js";
const renderQueryErrorIcon = ({ props })=>{
    const getIconFromErrorType = ()=>{
        switch(props.errorType){
            case 'Disconnected':
                return no_connection;
            case 'NoEndpointsException':
                return indexing;
            case 'InvalidTokenException':
                return cannot_access;
            case 'OrganizationIsPausedException':
                return search_inactive;
            default:
                return something_wrong;
        }
    };
    return html`<atomic-icon
    part="icon"
    icon=${getIconFromErrorType()}
    class="w-1/2 max-w-lg"
  ></atomic-icon>`;
};
export { renderQueryErrorIcon };
